using SteamWare;
using System;

namespace NKC_WF.WebUserControls
{
    public partial class cmp_paint_bins : BaseUserControl
    {
        /// <summary>
        /// Testo titolo...
        /// </summary>
        public string titleText
        {
            set
            {
                lblTitle.Text = value;
            }
            get
            {
                return lblTitle.Text;
            }
        }
        /// <summary>
        /// Classe css titolo...
        /// </summary>
        public string titleClass
        {
            set
            {
                lblTitle.CssClass = value;
            }
            get
            {
                return lblTitle.CssClass;
            }
        }
        /// <summary>
        /// Batch corrente...
        /// </summary>
        public int BatchId
        {
            set
            {
                hfBatchID.Value = value.ToString();
                doUpdate();
            }
            get
            {
                int answ = 0;
                int.TryParse(hfBatchID.Value, out answ);
                return answ;
            }
        }
        /// <summary>
        /// Indica se mostrare o meno BatchID
        /// </summary>
        public bool ShowBatch
        {
            set
            {
                hfShowBatch.Value = value.ToString();
            }
            get
            {
                bool answ = false;
                bool.TryParse(hfShowBatch.Value, out answ);
                return answ;
            }
        }
        /// <summary>
        /// Indica se mostrare o meno BinDtmx
        /// </summary>
        public bool ShowBinDtmx
        {
            set
            {
                hfShowBinDtmx.Value = value.ToString();
            }
            get
            {
                bool answ = false;
                bool.TryParse(hfShowBinDtmx.Value, out answ);
                return answ;
            }
        }
        /// <summary>
        /// Indica se mostrare o meno QRCode
        /// </summary>
        public bool ShowQr
        {
            set
            {
                hfShowQr.Value = value.ToString();
            }
            get
            {
                bool answ = false;
                bool.TryParse(hfShowQr.Value, out answ);
                return answ;
            }
        }
        /// <summary>
        /// Indica se mostrare o meno COMPLETED
        /// </summary>
        public bool ShowComplete
        {
            set
            {
                hfShowComplete.Value = value.ToString();
            }
            get
            {
                bool answ = false;
                bool.TryParse(hfShowComplete.Value, out answ);
                return answ;
            }
        }
        /// <summary>
        /// Indica se mostrare o meno PAINTED
        /// </summary>
        public bool ShowPainted
        {
            set
            {
                hfShowPainted.Value = value.ToString();
            }
            get
            {
                bool answ = false;
                bool.TryParse(hfShowPainted.Value, out answ);
                return answ;
            }
        }
        protected void Page_Load(object sender, EventArgs e)
        {
        }
        public void doUpdate()
        {
            grView.DataBind();
        }
        /// <summary>
        /// Dimensione QRCode
        /// </summary>
        public int qrSize
        {
            get
            {
                int answ = 32;
                int.TryParse(hfQrSize.Value, out answ);
                return answ;
            }
            set
            {
                hfQrSize.Value = value.ToString();
                doUpdate();
            }
        }
    }
}